From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: virtual/blas/
Date: Wed, 12 Oct 2016 06:30:32 +0000 (UTC) [thread overview]
Message-ID: <1474747831.2468463cc5538a24bd96cec6e599bb8b1592b7f4.marbre@gentoo> (raw)
commit: 2468463cc5538a24bd96cec6e599bb8b1592b7f4
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 24 19:47:50 2016 +0000
Commit: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Sat Sep 24 20:10:31 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=2468463c
virtual/blas: Add version 3.6-r100 to reflect upstream numbering
blas and lapack nowadays have the same version numbering scheme. Thus,
provide a new virtual/blas-3.6-r100 that ensures reference blas 3.6.0 (or
newer) compatibility.
Package-Manager: portage-2.2.28
virtual/blas/blas-3.6-r100.ebuild | 57 +++++++++++++++++++++++++++++++++++++++
1 file changed, 57 insertions(+)
diff --git a/virtual/blas/blas-3.6-r100.ebuild b/virtual/blas/blas-3.6-r100.ebuild
new file mode 100644
index 0000000..5d96b75
--- /dev/null
+++ b/virtual/blas/blas-3.6-r100.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build multilib
+
+DESCRIPTION="Virtual for FORTRAN 77 BLAS implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64"
+
+RDEPEND="
+ !app-eselect/eselect-blas
+ || (
+ >=sci-libs/blas-reference-20151113-r100[int64?,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64?,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64?,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+ abi_x86_64? (
+ !abi_x86_32? (
+ || (
+ >=dev-cpp/eigen-3.1.4
+ sci-libs/atlas[fortran]
+ >=sci-libs/acml-4.4
+ )
+ )
+ )
+ )
+ doc? ( >=app-doc/blas-docs-3.2 )
+ int64? (
+ || (
+ sci-libs/blas-reference[int64,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64,${MULTILIB_USEDEP}]
+ )
+ )
+"
+DEPEND=""
+
+pkg_pretend() {
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ ewarn "You have still the old ${PN} library symlink present"
+ ewarn "Please delete"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "to avoid problems with new ${PN} structure"
+ die "Old lib${PN} detected"
+ fi
+}
next reply other threads:[~2016-10-12 6:30 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-12 6:30 Marius Brehler [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-09-02 11:39 [gentoo-commits] proj/sci:master commit in: virtual/blas/ David Seifert
2017-07-07 7:10 Justin Lecher
2017-03-07 7:45 Marius Brehler
2017-02-03 10:25 Marius Brehler
2016-02-26 9:02 Justin Lecher
2016-02-26 9:02 Justin Lecher
2016-02-03 12:33 Justin Lecher
2015-12-28 8:17 Justin Lecher
2015-12-01 9:37 Justin Lecher
2015-11-29 10:17 Justin Lecher
2015-11-29 10:17 Justin Lecher
2015-01-08 6:57 Justin Lecher
2014-10-06 5:56 Justin Lecher
2014-01-19 18:32 Justin Lecher
2013-02-06 16:02 Justin Lecher
2011-09-07 21:51 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1474747831.2468463cc5538a24bd96cec6e599bb8b1592b7f4.marbre@gentoo \
--to=marbre@linux.sungazer.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox